/*
------------------------------------------------------------------------------
CONFIG
------------------------------------------------------------------------------
*/

:root
{
    --primary-color: #1759ba;
    --primary-color-dark: #0d2b4f;
    --primary-color-hover: #0c3470;

    --secondary-color: #d3dbe1;
    --secondary-color-dark: #97a2b4;
    --secondary-color-light: #ebeef2;

    --status-green: #6adb7c;
    --status-green-hover: #3ca64d;
    --status-green-light: #bcefc4;

    --status-yellow: #ffc261;
    --status-yellow-hover: #e2a545;
    --status-yellow-light: #ffe0af;

    --status-yellowToast: #ffe461;
    --status-yellowToast-hover: #ffcb22;

    --status-red: #ff6969;
    --status-red-hover: #bb3232;
    --status-red-light: #fba3a3;

    --status-blue: #1759ba;
    --status-blue-dark: #0d2b4f;
    --status-blue-hover: #0c3470;

    --text-color: #0d2b4f;
    --text-color-white: #fff;

    --color-white: #fff;

    --primary-color-rgb: 23, 89, 186;
}


/*
------------------------------------------------------------------------------
BOOTSTRAP OVERRIDES
------------------------------------------------------------------------------
*/

:root,
[data-bs-theme=light]
{
    --bs-primary: var(--primary-color);
    --bs-secondary: var(--primary-color-hover);
    --bs-primary-rgb: 23, 89, 186;
    --bs-secondary-rgb: 12, 52, 112;
    --bs-body-bg: var(--secondary-color-light);
    --bs-link-color: var(--primary-color);
}

.btn-primary
{
    --bs-btn-bg: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color-hover);
    --bs-btn-hover-border-color: var(--primary-color-hover);
    --bs-btn-active-bg: var(--primary-color-hover);
    --bs-btn-active-border-color: var(--primary-color-dark);
    --bs-btn-disabled-bg: var(--primary-color);
    --bs-btn-disabled-border-color: var(--primary-color);
}

.btn-secondary
{
    --bs-btn-bg: var(--primary-color-hover);
    --bs-btn-border-color: var(--primary-color-hover);
    --bs-btn-hover-bg: var(--primary-color-dark);
    --bs-btn-hover-border-color: var(--primary-color-dark);
    --bs-btn-active-bg: var(--primary-color-dark);
    --bs-btn-active-border-color: var(--primary-color-dark);
    --bs-btn-disabled-bg: var(--primary-color-hover);
    --bs-btn-disabled-border-color: var(--primary-color-hover);
}

.btn-success
{
    --bs-btn-bg: var(--status-green-light);
    --bs-btn-border-color: var(--status-green-light);
    --bs-btn-hover-bg: var(--status-green);
    --bs-btn-hover-border-color: var(--status-green);
    --bs-btn-active-bg: var(--status-green);
    --bs-btn-active-border-color: var(--status-green-hover);
    --bs-btn-disabled-bg: var(--status-green-light);
    --bs-btn-disabled-border-color: var(--status-green-light);
}

.btn-danger
{
    --bs-btn-bg: var(--status-red-hover);
    --bs-btn-border-color: var(--status-red-hover);
    --bs-btn-hover-bg: var(--status-red);
    --bs-btn-hover-border-color: var(--status-red);
    --bs-btn-active-bg: var(--status-red);
    --bs-btn-active-border-color: var(--status-red);
    --bs-btn-disabled-bg: var(--status-red-hover);
    --bs-btn-disabled-border-color: var(--status-red-hover);
}

.btn-outline-primary
{
    --bs-btn-color: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color);
    --bs-btn-hover-border-color: var(--primary-color);
    --bs-btn-active-bg: var(--primary-color);
    --bs-btn-active-border-color: var(--primary-color);
    --bs-btn-disabled-color: var(--primary-color);
    --bs-btn-disabled-border-color: var(--primary-color);
}

.btn-outline-secondary
{
    --bs-btn-color: var(--primary-color-hover);
    --bs-btn-border-color: var(--primary-color-hover);
    --bs-btn-hover-bg: var(--primary-color-hover);
    --bs-btn-hover-border-color: var(--primary-color-hover);
    --bs-btn-active-bg: var(--primary-color-hover);
    --bs-btn-active-border-color: var(--primary-color-hover);
    --bs-btn-disabled-color: var(--primary-color-hover);
    --bs-btn-disabled-border-color: var(--primary-color-hover);
}

.form-control,
.form-select
{
    background-color: var(--secondary-color-light);
}

.form-control:focus,
.form-select:focus
{
    border-color: var(--primary-color);
    background-color: var(--secondary-color-light);
}

.form-check-input
{
    border-color: var(--secondary-color-dark);
}

.bg-secondary
{
    background-color: var(--primary-color-hover) !important;
}


/*
------------------------------------------------------------------------------
LOGO
------------------------------------------------------------------------------
*/

header .logo
{
    width: 200px;
    height: 20px;

    /*half size of logo height*/
    margin-top: -10px;
}

header .logo img
{
    width: 200px;
    height: auto;
}